Advertisement:

Author Topic: Install error on new server running PHP 7.x  (Read 4255 times)

Offline Grendor

  • Jr. Member
  • **
  • Posts: 278
Install error on new server running PHP 7.x
« on: November 22, 2016, 08:45:31 PM »
Hello guys and Gals,

I have a problem installing SMF with a smf error.

My hosting changed/forced me to php 7.0 and I went to install and SMf gives me this error "Critical Error!
The installer was unable to detect any database support in PHP. Please ask your host to ensure that PHP was compiled with the desired database, or that the proper extension is being loaded. "

I have no clue what I am supposed to do as I never had this problem with old PHP 5.xx.
Does anyone know how i fix this issue so I can install smf? Please

Thanks in advance
Fred

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 58,623
  • Gender: Male
    • Kindred-999 on GitHub
Re: Install error on new server running PHP 7.x
« Reply #1 on: November 22, 2016, 09:47:28 PM »
Smf 2.0.12 does not support php7
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline Grendor

  • Jr. Member
  • **
  • Posts: 278
Re: Install error on new server running PHP 7.x
« Reply #2 on: November 22, 2016, 11:42:28 PM »
Smf 2.0.12 does not support php7

Hello,

Ok thanks for letting me know, I appreciate it.

I contacted my hosting company and they told me i read the notice wrong.
I thought I had to use php 7 but they say I just can't use 5.5 so i can use 5.6 for about 2 years before I have to switch.

Anyways thanks again.
Fred